summary refs log tree commit diff
path: root/tools
diff options
context:
space:
mode:
authorReini Urban <rurban@cpan.org>2020-12-02 12:17:42 +0100
committerQuentin Carbonneaux <quentin@c9x.me>2021-03-02 10:25:33 +0100
commitbe3a67a7f5079f30b0ccc696d549fd03a2dbbad1 (patch)
tree5a876dea87d4819194f3201a31f801d652c35af7 /tools
parent99c8f84efc280265d026737b2bdfd4741c8a74e8 (diff)
downloadroux-be3a67a7f5079f30b0ccc696d549fd03a2dbbad1.tar.gz
arm64: try qemu-system-aarch64
Diffstat (limited to 'tools')
-rwxr-xr-xtools/test.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/tools/test.sh b/tools/test.sh
index c2c25c5..4e7076f 100755
--- a/tools/test.sh
+++ b/tools/test.sh
@@ -20,10 +20,15 @@ testcc() {
 init() {
 	case "$TARGET" in
 	arm64)
+		qemucmd=qemu-system-aarch64
+		if ! $qemucmd -version >/dev/null 2>&1
+		then
+			qemucmd=qemu-aarch64
+		fi
 		for p in aarch64-linux-musl aarch64-linux-gnu
 		do
 			cc=$p-gcc
-			qemu="qemu-aarch64 -L /usr/$p"
+			qemu="$qemucmd -L /usr/$p"
 			if
 				$cc -v >/dev/null 2>&1 &&
 				$qemu -version >/dev/null 2>&1 &&